package com.muyu.system.service.impl;

import java.util.List;
import com.muyu.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.muyu.system.mapper.BookInfoMapper;
import com.muyu.system.domain.BookInfo;
import com.muyu.system.service.IBookInfoService;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author muyu
 * @date 2024-02-23
 */
@Service
public class BookInfoServiceImpl implements IBookInfoService
{
    @Autowired
    private BookInfoMapper bookInfoMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public BookInfo selectBookInfoById(Long id)
    {
        return bookInfoMapper.selectBookInfoById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param bookInfo 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<BookInfo> selectBookInfoList(BookInfo bookInfo)
    {
        return bookInfoMapper.selectBookInfoList(bookInfo);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param bookInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertBookInfo(BookInfo bookInfo)
    {
        bookInfo.setCreateTime(DateUtils.getNowDate());
        return bookInfoMapper.insertBookInfo(bookInfo);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param bookInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateBookInfo(BookInfo bookInfo)
    {
        bookInfo.setUpdateTime(DateUtils.getNowDate());
        return bookInfoMapper.updateBookInfo(bookInfo);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteBookInfoByIds(Long[] ids)
    {
        return bookInfoMapper.deleteBookInfoByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteBookInfoById(Long id)
    {
        return bookInfoMapper.deleteBookInfoById(id);
    }
}
